-- Customer specific once-script AADS#33737-1 aangepast voor herimplementatie DSM.
--
-- (c) 2015  Facilitor B.V.
--
-- Support: +31 53 4800700
SET ECHO ON
SPOOL xAAEY#33737-1.lst
SET DEFINE OFF

INSERT INTO fac_api (fac_api_name, fac_api_filepath, fac_api_loglevel, fac_api_stylesheet, fac_api_options_json)
   SELECT 'BLCC2AADS', 'appl/api/api_opdrsoap.asp', NULL, NULL, '{"MLDremark":2,"ORDremark":6}'
     FROM DUAL
    WHERE NOT EXISTS (SELECT 1
                        FROM fac_api
                       WHERE fac_api_name = 'BLCC2AADS');

COMMIT;

-- Pseudo-user tbv. koppeling met Brightlands (BLCC-domein); dezelfde module,
-- afdeling en functie als _FACILITOR (= 4)!
INSERT INTO prs_perslid (prs_perslid_module,
                         prs_srtperslid_key,
                         prs_afdeling_key,
                         prs_perslid_naam,
                         prs_perslid_voornaam,
                         prs_perslid_nr,
                         prs_perslid_oslogin,
                         prs_perslid_flags,
                         prs_perslid_apikey)
   SELECT   p.prs_perslid_module,
            p.prs_srtperslid_key,
            p.prs_afdeling_key,
            'API-user tbv. Brightlands',
            '-',
            'NIET WEG!!!',
            '_BLCC',
            0,
            'ZLnGjFjmcYFDzEOkuYLglswbTHTAWgfx'
     FROM   prs_perslid p
    WHERE   p.prs_perslid_key = 4;

COMMIT;
BEGIN adm.systrackscriptId('$Id$'); END;
/
SPOOL OFF
